Loading...
Searching...
No Matches
QXmppVCardOrganization Class Reference

Represents organization information in XMPP vCards. More...

`#include <QXmppVCardIq.h>`

## Public Member Functions

| QXmppVCardOrganization ()
| Constructs an empty organization information.
| QXmppVCardOrganization (const QXmppVCardOrganization &other)
| Constructs a copy of other.
QXmppVCardOrganization & | operator= (const QXmppVCardOrganization &other)
| Assigns other to this organization info.
QString | organization () const
| Returns the name of the organization.
void | setOrganization (const QString &)
| Sets the organization name.
QString | unit () const
| Returns the organization unit (also known as department).
void | setUnit (const QString &)
| Sets the unit within the organization.
QString | title () const
| Returns the job title within the organization.
void | setTitle (const QString &)
| Sets the job title within the organization.
QString | role () const
| Returns the job role within the organization.
void | setRole (const QString &)
| Sets the job role within the organization.

## Detailed Description

Represents organization information in XMPP vCards.

This contains both information about organization itself and information about job position in the organization.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp